require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", true);
SManager:AddFlowers(FlowerType.FLOWERS7, "flowersSB", false);
SManager:AddFlowers(FlowerType.FLOWERS8, "flowersGD", false);

SManager:AddCake(CakeType.IRA, "cake2Buttercream", false);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", true);
SManager:AddCake(CakeType.CARROT, "cake7Carrot", false);

SManager:AddHoneymoon(HoneymoonType.CAMP, "HMRedwood", false);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMChicago", true);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMFlorence", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");